<template>
    <div class="root">
        <p>
          <img class="logo" src="/static/assets/flask-logo.png" alt="Flask logo"/>
        </p>
        <p>Flask is a micro webdevelopment framework for Python.</p>
        <p>Links:</p>
        <p><ul>
          <li><b><a href="http://flask.pocoo.org/" target="_blank">Homepage</a></b></li>
          <li><a href="http://flask.pocoo.org/docs/latest/" target="_blank">Documentation</a></li>
          <li><a href="http://flask.pocoo.org/extensions/" target="_blank">Extensions</a></li>
        </ul></p>

        <p>
        Various interesting/inspirational Flask boilerplate projects:
        </p>
        <p>
        <ul>
          <li><a href="https://www.fullstackpython.com/flask.html" target="_blank">Collection of links, posts and tools</a></li>
          <li><a href="https://github.com/sloria/cookiecutter-flask" target="_blank">cookiecutter-flask</a></li>
          <li><a href="https://github.com/pallets/flask/blob/master/examples/flaskr/flaskr/factory.py" target="_blank">Flaskr</a></li>
          <li><a href="https://github.com/JackStouffer/Flask-Foundation/blob/master/appname/__init__.py" target="_blank">Flask-Foundation</a></li>
          <li><a href="https://github.com/MaxHalford/Flask-Boilerplate" target="_blank">github.com/MaxHalford/Flask-Boilerplate</a></li>
        </ul></p>

    </div>
</template>

<script>
import { setHtmlTags } from '../utils'

export default {
  mounted: function () {
    const description = 'Information, links and references for the Flask boilerplates at python-boilerplate.com'
    setHtmlTags('About Flask boilerplates - python-boilerplate.com', description)
  }
}
</script>

<style scoped>
.root {
  padding-top: 10px;
  padding-left: 40px;
  max-width: 600px;
}

.logo {
  max-width: 200px;
  margin-left: 0px;
  margin-top:0px;
  margin-bottom: 16px;
}
</style>
